@import url('https://fonts.googleapis.com/css?famyli=PT+Sants');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'PT Sans', sans-serif;
}
body{
  
    justify-content: center;
    align-items: center;
    min-height: 100vh;

}
.card1{
   width: 370px;
   display: inline-block;
   background-position: center;
   background-size: cover;
   
}
.card{
    position:relative;
    width: 320px;
    height: 450px;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 25);
    margin: 55px 15px;
    
}
.card .poster{
    position: relative;
    overflow: hidden;
}

.card .poster1::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #878e4f 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}

.card .poster2::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #cd8a17 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}

.card .poster3::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #cd4117 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}

.card .poster3::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #b64b2a 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}

.card .poster4::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #7a9f41 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}

.card .poster5::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #1bcaa7 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}

.card .poster::before{
    content: '';
    position: absolute;
    bottom: -180px;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, #0274ff 50%, transparent);
    transition: 0.5s;
    z-index: 1;
}
.card:hover .poster::before{
    bottom: 0px;
}
.card .poster img{
    width: 100%;
    transition: 0.5s;
}.card:hover .poster img{
    transform: translateY(-50px);
    filter: blur(5px);
}
.card .details{
    position: absolute;
    bottom: -190px;
    left: 0;
    padding: 20px;
    width: 100%;
    z-index: 2;
    transition: 0.5s;
}
.card:hover .details{
    bottom: 0px;
}
.card .details .logo{
    max-width: 180px;
}
.card .details h3{
    font-size: 0.8em;
    color: #fff;
}
.card .details .rating{
    position: relative;
    padding: 5px 0;
}
.card .details .rating .fa-star{
    color :yellow;
    font-size: 1em;
}
.card .details .rating span{
color: #fff;
margin-left: 10px;
}
.card .details .tags{
    position: relative;
    margin-top: 5px;
}
.card .details .tags span{
    padding: 2px 5px;
    color: #fff;
    background: #03a8f5;
    border-radius: 4px;
}
.card .details .tags span:nth-child(2){
    background: #ff5722;
}
.card .details .info{
    color: #fff;
    border-radius:10px;
    margin-top: 20px;
}
.button1 {
    background-color: #407657;
    border: none;
    color: white;
    padding: 10px 25px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
  }
.card .details .cast{
    position: relative;
}
.card .details .cast h4{
    color: #fff;
    margin-top: 10px;
}
.card .details .cast ul{
    position: relative;
    display: flex;
    gap: 10px;
    margin-top: 10px;
}
.card .details .cast ul li{
    list-style: none;
    width: 35px;
    height: 35px;
    overflow: hidden;
    border-radius: 50%;
    border: 2px solid #fff;
}
.card .details .cast ul li img{
    max-width: 100%;
}